###### Predefinitions #####
%define name		gigi
%define oname		GG
%define revision	645
%define version		0.7.0
%define release		%mkrel 1.%{revision}svn.1
%define libname 	%mklibname %name 0
%define develname	%mklibname %name -d

##### Header #####
Summary:	a GUI library for OpenGL
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{oname}-%{version}-%{revision}svn.tar.lzma
License:	GPL
Group:		System/Libraries
URL:		http://gigi.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	scons freetype2-devel devil-devel boost-devel SDL-devel 
BuildRequires:	ogre-devel >= 1.4.6
BuildRequires:	gcc >= 3.2
Obsoletes:	%name %version-%release

##### Description #####
%description
GiGi (aka GG) is a GUI library for OpenGL. It is platform-independent (it runs at least on Linux and Windows, and probably more), compiler-independent (it compiles under at GCC 3.2 or higher and MSVC++ 7.1 or higher, and probably more), and driver-independent. A reference driver for SDL is provided, and it is straightforward to write one for yourself should you decide to do so.

##### Subpackages #####
%package -n %{libname}
Summary:	a GUI library for OpenGL
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Provides:	lib%{oname} = %{version}-%{release}

%description -n %{libname}
GiGi (aka GG) is a GUI library for OpenGL. It is platform-independent (it runs at least on Linux and Windows, and probably more), compiler-independent (it compiles under at GCC 3.2 or higher and MSVC++ 7.1 or higher, and probably more), and driver-independent. A reference driver for SDL is provided, and it is straightforward to write one for yourself should you decide to do so.

%package -n %{develname}
Summary:	The libraries and headers needed for GG development
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{oname}-devel = %{version}-%{release}

%description -n %{develname}
GiGi (aka GG) is a GUI library for OpenGL. It is platform-independent (it runs at least on Linux and Windows, and probably more), compiler-independent (it compiles under at GCC 3.2 or higher and MSVC++ 7.1 or higher, and probably more), and driver-independent. A reference driver for SDL is provided, and it is straightforward to write one for yourself should you decide to do so.

##### setup, build, install #####
%prep
%setup -q -n %{oname}-%{version}
scons configure prefix=%_prefix

%build
scons

%install
rm -rf %{buildroot}
mkdir %{buildroot}
mkdir %{buildroot}/usr
%ifarch i586
mkdir %{buildroot}/usr/lib
mkdir %{buildroot}/usr/lib/pkgconfig
%endif
%ifarch x86_64
mkdir %{buildroot}/usr/lib64
mkdir %{buildroot}/usr/lib64/pkgconfig
%endif
mkdir %{buildroot}/usr/include
mkdir %{buildroot}/usr/include/GG
mkdir %{buildroot}/usr/include/GG/dialogs
mkdir %{buildroot}/usr/include/GG/Ogre
mkdir %{buildroot}/usr/include/GG/SDL
cp GG/*.h %{buildroot}/usr/include/GG/
cp GG/*.py %{buildroot}/usr/include/GG/
cp GG/dialogs/*.h %{buildroot}/usr/include/GG/dialogs/
cp GG/Ogre/*.h %{buildroot}/usr/include/GG/Ogre/
cp GG/SDL/*.h %{buildroot}/usr/include/GG/SDL/
%ifarch i586
cp libGiGi.so %{buildroot}/usr/lib/libGiGi.so.0.6.0
cd %{buildroot}/usr/lib
%endif
%ifarch x86_64
cp libGiGi.so %{buildroot}/usr/lib64/libGiGi.so.0.6.0
cd %{buildroot}/usr/lib64
%endif
ln -s libGiGi.so.0.6.0 libGiGi.so
cd -
%ifarch i586
cp GiGi.pc %{buildroot}/usr/lib/pkgconfig/GiGi.pc
cp libGiGiSDL.so %{buildroot}/usr/lib/libGiGiSDL.so.0.6.0
cd %{buildroot}/usr/lib
%endif
%ifarch x86_64
cp GiGi.pc %{buildroot}/usr/lib64/pkgconfig/GiGi.pc
cp libGiGiSDL.so %{buildroot}/usr/lib64/libGiGiSDL.so.0.6.0
cd %{buildroot}/usr/lib64
%endif
ln -s libGiGiSDL.so.0.6.0 libGiGiSDL.so
cd -
%ifarch i586
cp GiGiSDL.pc %{buildroot}/usr/lib/pkgconfig/GiGiSDL.pc
cp libGiGiOgre.so %{buildroot}/usr/lib/libGiGiOgre.so.0.6.0
cd %{buildroot}/usr/lib
%endif
%ifarch x86_64
cp GiGiSDL.pc %{buildroot}/usr/lib64/pkgconfig/GiGiSDL.pc
cp libGiGiOgre.so %{buildroot}/usr/lib64/libGiGiOgre.so.0.6.0
cd %{buildroot}/usr/lib64
%endif
ln -s libGiGiOgre.so.0.6.0 libGiGiOgre.so
cd -
%ifarch i586
cp GiGiOgre.pc %{buildroot}/usr/lib/pkgconfig/GiGiOgre.pc
cp libGiGiOgrePlugin_OIS.so %{buildroot}/usr/lib/
%endif
%ifarch x86_64
cp GiGiOgre.pc %{buildroot}/usr/lib64/pkgconfig/GiGiOgre.pc
cp libGiGiOgrePlugin_OIS.so %{buildroot}/usr/lib64/
%endif

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

##### Files #####
%files -n %{libname}
%defattr(-,root,root,0755)
%dir %{_includedir}/GG
%attr(755,root,root) %{_includedir}/GG/*.py
%{_libdir}/libGiGi*.so.0.6.0
%{_libdir}/pkgconfig/GiGi*

%files -n %{develname}
%defattr(0644,root,root,0755)
%dir %{_includedir}/GG/SDL
%dir %{_includedir}/GG/dialogs
%dir %{_includedir}/GG/Ogre
%{_includedir}/GG/*.h
%{_includedir}/GG/SDL/SDLGUI.h
%{_includedir}/GG/dialogs/*.h
%{_includedir}/GG/Ogre/*.h
%{_libdir}/libGiGi*.so

##### Changelog #####
%changelog
* Thu Apr 03 2008 Oliver Burger <rpm@mandrivauser.de> 0.7.0-1.645svn.1mud2008.0
- new svn-revision 645

* Tue Apr 01 2008 Oliver Burger <rpm@mandrivauser.de> 0.7.0-1.644svn.2mud2008.0
- Fixed read-permissions for files of devel-package

* Tue Apr 01 2008 Oliver Burger <rpm@mandrivauser.de> 0.7.0-1.644svn.1mud2008.0
- svn revision 644

* Tue Apr 01 2008 Oliver Burger <rpm@mandrivauser.de> 0.7.0-1mud2008.0
- new version 0.7.0
- split into subpackages

* Mon Mar 24 2008 Oliver Burger <rpm@mandrivauser.de> 0.6.9.637svn-1mud2008.0
- new version 0.6.9.637svn

* Sun Mar 16 2008 Oliver Burger <rpm@mandrivauser.de> 0.6.9.634svn-1mud2008.0
- new version 0.6.9.634svn
- changed source-compression to lzma

* Sat Mar 08 2008 Oliver Burger <rpm@mandrivauser.de> 0.6.9.632svn-1mud2008.0
- initial package for Mandrivalinux
